<head>
    <meta charset="UTF-8">
    <title>MNC NOW</title>
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="google-site-verification" content="MU1SEKOh4hqPEsvAbaq6jq517rVPPMu3oC3gVJGuu7U" />
    <meta name="title" content="Vision+ Movies">
    <meta name="keywords" content="vision+, vision plus, okezone, layar tancap, mncnow, mnc now, sinetron, now, tonton film, ftv, film indonesia, free, ott, broadcast, mnc">
    <meta name="description" content="Nonton ratusan film pilihan dari Indonesia, Hollywood dan Asia. Film lepas, series, sinetron, drakor dan animasi hanya di MNC Now">
    <meta name="author" content="MNCNow.id">
    <meta name="viewport" content="initial-scale=1, maximum-scale=1">  
    <link rel="shortcut icon" href="img/favicon.ico" type="image/x-icon">
    <link rel="icon" href="img/favicon.ico" type="image/x-icon">

    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-111351533-1"></script>
		<script>
			window.dataLayer = window.dataLayer || [];
			function gtag(){dataLayer.push(arguments);}
			gtag('js', new Date());

			gtag('config', 'UA-111351533-1');
    </script>
    <script src='https://visionplus.id/statics/js/nexplayer.js'></script>
    <script type="text/javascript" src="js/conviva/ConvivaLivePass_Videojs.js"></script>
    <script src="./js/nexplayer/conviva/conviva-html5native-impl.js"> </script>
    <!-- <script src="./js/nexplayer/conviva/conviva-html5native-library.min.js"> </script> -->
    <!-- <script src="./js/nexplayer/conviva/NexHandshake.js"> </script> -->
    <script src="./js/nexplayer/conviva/html5NativeHandshake.js"> </script>
    <script src="./js/nexplayer/conviva/configs.js"> </script>

    <!-- conviva native player modules -->
    <script type="text/javascript" src="conviva/conviva-core-sdk.min.js"></script>
    <!-- <link rel="stylesheet" href="Html5SampleApplication.css"> -->
    <!-- <script type="text/javascript" src="app/Html5SampleBootstrap.js"></script>
    <script type="text/javascript" src="app/Html5SampleUser.js"></script>
    <script type="text/javascript" src="app/Html5SampleConfig.js"></script>
    <script type="text/javascript" src="app/Html5SampleVideoCatalog.js"></script>
    <script type="text/javascript" src="app/Html5SampleVideoPlayer.js"></script>
    <script type="text/javascript" src="app/Html5SampleLogger.js"></script>
    <script type="text/javascript" src="app/Html5SampleEventBus.js"></script>
    <script type="text/javascript" src="app/Html5SampleApplication.js"></script> -->
    <!-- <script type="text/javascript" src="conviva/Html5Http.js"></script>
    <script type="text/javascript" src="conviva/Html5Logging.js"></script>
    <script type="text/javascript" src="conviva/Html5Metadata.js"></script>
    <script type="text/javascript" src="conviva/Html5Storage.js"></script>
    <script type="text/javascript" src="conviva/Html5Time.js"></script>
    <script type="text/javascript" src="conviva/Html5Timer.js"></script>
    <script type="text/javascript" src="conviva/Html5PlayerInterface.js"></script>
    <script type="text/javascript" src="conviva/Html5ConvivaCredentials.js"></script>
    <script type="text/javascript" src="conviva/Html5ConvivaHelper.js"></script>
    <script type="text/javascript" src="conviva/Html5ConvivaIntegration.js"></script> -->
  
    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-111351533-7"></script>
    <script>
      window.dataLayer = window.dataLayer || [];
      function gtag(){dataLayer.push(arguments);}
      gtag('js', new Date());

      gtag('config', 'UA-111351533-7');
    </script>    

    <!-- Begin comScore Tag -->
    <script>
      var _comscore = _comscore || [];
      _comscore.push({ c1: "2", c2: "33003457" });
      (function() {
        var s = document.createElement("script"), el = document.getElementsByTagName("script")[0]; s.async = true;
        s.src = (document.location.protocol == "https:" ? "https://sb" : "http://b") + ".scorecardresearch.com/beacon.js";
        el.parentNode.insertBefore(s, el);
      })();
    </script>
    <noscript>
      <img src="https://sb.scorecardresearch.com/p?c1=2&c2=33003457&cv=2.0&cj=1" />
    </noscript>
    <!-- End comScore Tag -->

</head>
<body>
    <div id="player" style="margin: 0; width: 100%; height: 100%;" webkit-playsinline="webkit-playsinline" x-webkit-airplay="allow" crossorigin="anonymous">
     <!-- <script src='../nexplayer.nexplayersdk.com/latest/nexplayer.js'></script> -->
     <!-- <script src='https://nexplayer.nexplayersdk.com/latest/nexplayer.js'></script> -->
     <!-- <script src='https://nexplayer.nexplayersdk.com/MNC/nexplayer.js'></script> -->
     <script>
       var player = null;
       var videoElem = null;
       var NexConviva = null;

        function getQueryStrings() { 
          var assoc  = {};
          var decode = function (s) { return decodeURIComponent(s.replace(/\+/g, " ")); };
          var queryString = location.search.substring(1); 
          var keyValues = queryString.split('&'); 

          for(var i in keyValues) { 
            var key = keyValues[i].split('=');
            if (key.length > 1) {
              assoc[decode(key[0])] = decode(key[1]);
            }
          } 

          return assoc;
        } 
        var qs = getQueryStrings();
        var myParamURL = qs["url"];
        var myParamIMG = qs["img"];


        var callBackWithPlayers = function (nexplayerInstance, videoElement) {
            console.log("Callback!");
            player = nexplayerInstance;
            // videoElement.style.display = 'none';
            videoElem = videoElement;
            videoElem.addEventListener('loadeddata', loadModules, false);
            setTimeout(() => {
                player.setCurrentTrack(0); //0 is always the lowest quality profile
            }, 1000);
            player.enableABR();
        }

        function loadModules() {
            NexConviva = new NexHandshake(videoElem, myParamURL, player.isLive());
        }
        
        nexplayer.Setup({
          key: '5c1cad9120bbb10718187352',
          div: document.getElementById('player'),
          src: myParamURL, // Optional
          poster: myParamIMG, // Optional
          name: 'Vision+', // Optional
          autoplay: true, // Optional
          mutedAtStart: true, // Optional
          useDynamicThumbnails: true, // Optional
          cast: {}, //Optional,
          debug: true, // Optional
          staticThumbnailsImage: myParamIMG, // Optional
          staticThumbnailsVTT: myParamIMG, // Optional
          seekUI: 10 // Seconds for the seek buttons, Optional
      });
     </script>
    </div>
</body>
</html>